Debian Bug report logs - #323747
kdelibs-data: upgrading from 4:3.3.2-6.1 to 4:3.4.2-1 broke kicker & konqueror & more

version graph

Package: kdelibs-data; Maintainer for kdelibs-data is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: Helen Faulkner <helen@debian.org>

Date: Thu, 18 Aug 2005 07:18:04 UTC

Severity: serious

Merged with 323967, 324147

Found in version kdelibs-data/4:3.3.2-6.1

Fixed in version kdelibs/4:3.4.2-2

Done: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to Helen Faulkner <helen@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helen Faulkner <helen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kdelibs-data: upgrading from 4:3.3.2-6.1 to 4:3.4.2-1 broke kicker & konqueror & more
Date: Thu, 18 Aug 2005 17:13:57 +1000
Package: kdelibs-data
Version: 4:3.3.2-6.1
Severity: important

Hi,

I upgraded my version of kdelibs-data today, and when I rebooted, I found that a
number of things were broken:

- The k-menu had no application entries at all (I tried running update-menus and
kbuildsycoca to fix this, but that made no difference)

- The quicklauncher in kicker had lost it's buttons for the applications that I
usually have there.

- When I ran konqueror, the part on the left, which can show the directory
structure, the bookmarks, the services, etc, was gone.

- When I tried to "configure konqueror" from the settings menu nothing happened.

- When I tried to run kcontrol, I got the kcontrol window with nothing in it -
ie the background picture on the right was there, listing my kde version,
username etc. However, there were no entries listed on the left in any of the
tabs for index/search/help

I reckon that there were probably more things wrong than these that I didn't
happen to find.

Downgrading kdelibs-data to the previous version solved all of these problems.

Thanks,

Helen


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-686
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

Versions of packages kdelibs-data depends on:
ii  hicolor-icon-theme            0.8-1      default fallback theme for FreeDes

kdelibs-data recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to Alejandro Exojo <suy@badopi.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 323747@bugs.debian.org (full text, mbox):

From: Alejandro Exojo <suy@badopi.org>
To: Helen Faulkner <helen@debian.org>, 323747@bugs.debian.org
Subject: Re: Bug#323747: kdelibs-data: upgrading from 4:3.3.2-6.1 to 4:3.4.2-1 broke kicker & konqueror & more
Date: Thu, 18 Aug 2005 11:00:25 +0200
El Jueves, 18 de Agosto de 2005 09:13, Helen Faulkner escribió:
> I upgraded my version of kdelibs-data today, and when I rebooted, I found
> that a number of things were broken:

To which version of kdelibs-data you upgraded? Yesterday entered kdelibs 
3.4.2, and as Adeodato explained:

http://lists.debian.org/debian-kde/2005/08/msg00089.html

...you can't upgrade KDE, until all packages depending on kdelibs are 
recompiled. If you upgraded only kdelibs-data, you had a mixture of KDE 3.4 
and 3.3.

-- 
Alex (a.k.a. suy) - GPG ID 0x0B8B0BC2
http://darkshines.net/ - Jabber ID: suy@bulmalug.net



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to 323747@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 323747@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Alejandro Exojo <suy@badopi.org>, 323747@bugs.debian.org
Cc: Helen Faulkner <helen@debian.org>
Subject: Re: Bug#323747: kdelibs-data: upgrading from 4:3.3.2-6.1 to 4:3.4.2-1 broke kicker & konqueror & more
Date: Thu, 18 Aug 2005 12:50:14 +0200
severity 323747 serious
thanks

* Alejandro Exojo [Thu, 18 Aug 2005 11:00:25 +0200]:

> El Jueves, 18 de Agosto de 2005 09:13, Helen Faulkner escribió:
> > I upgraded my version of kdelibs-data today, and when I rebooted, I found
> > that a number of things were broken:

> To which version of kdelibs-data you upgraded? Yesterday entered kdelibs 
> 3.4.2, and as Adeodato explained:

> http://lists.debian.org/debian-kde/2005/08/msg00089.html

> ...you can't upgrade KDE, until all packages depending on kdelibs are 
> recompiled. If you upgraded only kdelibs-data, you had a mixture of KDE 3.4 
> and 3.3.

  Helen and I talked on IRC, and I asked her to file this bug. While
  upgrading the kdelibs4 package to kdelibs4c2 ensures that incompatible
  stuff gets removed, this is not the case with kdelibs-data. IOW, if
  upgrading kdelibs-data alone causes trouble (and it does), then we
  have to introduce the appropriate package relationships to ensure this
  does not happen.

  On other news, Helen, I just realized this is the same bug as #311958,
  which is solved in sid but not in etch nor sarge. IOW, once kdelibs4c2
  is installed, it'll always go with an appropriate version of
  kdelibs-data, but KDE versions << 3.4 are still affected. The same fix
  can't be applied to those KDE versions, since it does not constitute a
  suitable upload for testing-proposed-updates, let alone stable-p-u. I
  guess we're stuck with a versioned << conflicts. :/ Oh, oh, wait:
  Conflicts: kdelibs4 should be enough, yay C++ transition!

                                 * * *

  Christopher: I just realized that our fix for #311958 leaves the
  kdelibs package in a state in which it can't be binNMUed, which is
  bad. Since dpkg lacks (at least for now) a smart = ${Source-Version}
  check, I guess we have to stick with:

    kdelibs4c2 Depends: kdelibs-data (>> 3.X), kdelibs-data (<< 3.X+1)

  Or perhaps: kdelibs-data (<< 3.X.50), in case alphas or betas are
  packaged.

  Or we may want to discuss:

    Depends: kdelibs-data (>> 3.X.Y), kdelibs-data (<< 3.X.Y+1).

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
He has never been known to use a word that might send a reader to the
dictionary.
                -- William Faulkner (about Ernest Hemingway)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to Helen Faulkner <helen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 323747@bugs.debian.org (full text, mbox):

From: Helen Faulkner <helen@debian.org>
To: 323747@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>
Cc: Alejandro Exojo <suy@badopi.org>
Subject: Re: Bug#323747: kdelibs-data: upgrading from 4:3.3.2-6.1 to 4:3.4.2-1 broke kicker & konqueror & more
Date: Thu, 18 Aug 2005 21:23:15 +1000
Adeodato Simó wrote:
> severity 323747 serious thanks
> 
> * Alejandro Exojo [Thu, 18 Aug 2005 11:00:25 +0200]:
> 
> 
>> El Jueves, 18 de Agosto de 2005 09:13, Helen Faulkner escribió:
>> 
>>> I upgraded my version of kdelibs-data today, and when I rebooted, I found
>>>  that a number of things were broken:
> 
> 
>> To which version of kdelibs-data you upgraded? Yesterday entered kdelibs 
>> 3.4.2, and as Adeodato explained:
> 
> 
>> http://lists.debian.org/debian-kde/2005/08/msg00089.html
> 
> 
>> ...you can't upgrade KDE, until all packages depending on kdelibs are 
>> recompiled. If you upgraded only kdelibs-data, you had a mixture of KDE 3.4
>>  and 3.3.
> 
> 
> Helen and I talked on IRC, and I asked her to file this bug. While upgrading
> the kdelibs4 package to kdelibs4c2 ensures that incompatible stuff gets
> removed, this is not the case with kdelibs-data. IOW, if upgrading
> kdelibs-data alone causes trouble (and it does), then we have to introduce
> the appropriate package relationships to ensure this does not happen.
> 
> On other news, Helen, I just realized this is the same bug as #311958, which
> is solved in sid but not in etch nor sarge. IOW, once kdelibs4c2 is
> installed, it'll always go with an appropriate version of kdelibs-data, but
> KDE versions << 3.4 are still affected. The same fix can't be applied to
> those KDE versions, since it does not constitute a suitable upload for
> testing-proposed-updates, let alone stable-p-u. I guess we're stuck with a
> versioned << conflicts. :/ Oh, oh, wait: Conflicts: kdelibs4 should be
> enough, yay C++ transition!
> 
> * * *
> 
> Christopher: I just realized that our fix for #311958 leaves the kdelibs
> package in a state in which it can't be binNMUed, which is bad. Since dpkg
> lacks (at least for now) a smart = ${Source-Version} check, I guess we have
> to stick with:
> 
> kdelibs4c2 Depends: kdelibs-data (>> 3.X), kdelibs-data (<< 3.X+1)
> 
> Or perhaps: kdelibs-data (<< 3.X.50), in case alphas or betas are packaged.
> 
> Or we may want to discuss:
> 
> Depends: kdelibs-data (>> 3.X.Y), kdelibs-data (<< 3.X.Y+1).

Just to clarify, if anyone is still wondering.  I upgraded 4:3.3.2-6.1 to
4:3.4.2-1 by literally running synaptic, updating the apt sources and telling
synaptic to upgrade everything that could be upgraded (I have forgotten the
direct apt-get command for that).  I think this would be a fairly common thing
to do and as Adeodato has pointed out, I was allowed to upgrade to the "wrong"
version of kdelibs-data without realising it would cause problems.  I suspect
there could be many other people in this situation, if others are in the habit
of assuming that if synaptic lets them upgrade something it will be ok to
upgrade it.

Thanks for replying to quickly to this :)

Helen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to 323747@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 323747@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Helen Faulkner <helen@debian.org>
Cc: 323747@bugs.debian.org, Alejandro Exojo <suy@badopi.org>
Subject: Re: Bug#323747: kdelibs-data: upgrading from 4:3.3.2-6.1 to 4:3.4.2-1broke kicker & konqueror & more
Date: Thu, 18 Aug 2005 13:29:55 +0200
* Helen Faulkner [Thu, 18 Aug 2005 21:23:15 +1000]:

> Just to clarify, if anyone is still wondering.  I upgraded 4:3.3.2-6.1 to
> 4:3.4.2-1 by literally running synaptic, updating the apt sources and telling
> synaptic to upgrade everything that could be upgraded (I have forgotten the
> direct apt-get command for that).  I think this would be a fairly common thing
> to do and as Adeodato has pointed out, I was allowed to upgrade to the "wrong"
> version of kdelibs-data without realising it would cause problems.

  Right, hence the bug. We told [1] our users that "apt-get upgrade"
  would be safe during the C++ ABI transition.

    [1] http://lists.debian.org/debian-kde/2005/08/msg00089.html

-- 
Adeodato Simó
    EM: asp16 [ykwim] alu.ua.es | PK: DA6AE621
 
If you think nobody cares if you're alive, try missing a couple of car
payments.
                -- Earl Wilson




Severity set to `serious'. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 323747 323967. Request was from Adeodato Simó <asp16@alu.ua.es> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 323747 323967 324147. Request was from Isaac Clerencia <isaac@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kdelibs-data' to `kdelibs-data'. Request was from Josh Metzler <joshdeb@metzlers.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Josh Metzler <joshdeb@metzlers.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 323747 323967 324147. Request was from Josh Metzler <joshdeb@metzlers.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, jeff@nice-waterpolo.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to jeff <jeff@nice-waterpolo.com>:
Extra info received and forwarded to list. Copy sent to jeff@nice-waterpolo.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 323747@bugs.debian.org (full text, mbox):

From: jeff <jeff@nice-waterpolo.com>
To: Debian Bug Tracking System <323747@bugs.debian.org>
Subject: Problems upgrading kdelibs-data to 4:3.4.2-1
Date: Sun, 21 Aug 2005 16:22:25 +0200
Package: kdelibs-data
Version: 4:3.3.2-6.1
Followup-For: Bug #323747


Since I upgraded kdelibs-data from 4:3.3.2-7 to 4:3.4.2-1 I have the following
problems:

- kicker does not work
- kmenu is empty
- kcontrol index is empty
- some of my look and feel preferences have changed (sounds, icons,...)
- kde applications not present in panel
- keyboard mapping was changed from azerty to qwerty  

I downgraded kdelibs-data to 4:3.3.2-6 (testing version): kicker, kmenu and
kcontrol seem to work (I do not test after a reboot) but the other problems
are still there.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.3-1-386
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages kdelibs-data depends on:
ii  hicolor-icon-theme            0.8-1      default fallback theme for FreeDes

kdelibs-data recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 323747@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: jeff <jeff@nice-waterpolo.com>, 323747@bugs.debian.org
Subject: Re: Bug#323747: Problems upgrading kdelibs-data to 4:3.4.2-1
Date: Sun, 21 Aug 2005 17:04:32 +0200
[Message part 1 (text/plain, inline)]
running unstable for KDE is discouraged atm.

> Since I upgraded kdelibs-data from 4:3.3.2-7 to 4:3.4.2-1 I have the
> following problems:
>
> - kicker does not work
> - kmenu is empty
> - kcontrol index is empty
> - some of my look and feel preferences have changed (sounds,
> icons,...) - kde applications not present in panel
> - keyboard mapping was changed from azerty to qwerty
>
> I downgraded kdelibs-data to 4:3.3.2-6 (testing version): kicker,
> kmenu and kcontrol seem to work (I do not test after a reboot) but
> the other problems are still there.

reboot should not change anything, though, restarting X should do the 
trick.


-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to Jeff <jeff06@nice-waterpolo.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 323747@bugs.debian.org (full text, mbox):

From: Jeff <jeff06@nice-waterpolo.com>
To: Pierre Habouzit <madcoder@debian.org>
Cc: jeff <jeff@nice-waterpolo.com>, 323747@bugs.debian.org
Subject: Re: Bug#323747: Problems upgrading kdelibs-data to 4:3.4.2-1
Date: Sun, 21 Aug 2005 17:34:27 +0200
All my setup went back to normal after having restarted the X server. 
Keyboard map returned to azerty and look & feel preferences went back to 
their previous state.

Pierre Habouzit wrote:

>running unstable for KDE is discouraged atm.
>
>  
>
>>Since I upgraded kdelibs-data from 4:3.3.2-7 to 4:3.4.2-1 I have the
>>following problems:
>>
>>- kicker does not work
>>- kmenu is empty
>>- kcontrol index is empty
>>- some of my look and feel preferences have changed (sounds,
>>icons,...) - kde applications not present in panel
>>- keyboard mapping was changed from azerty to qwerty
>>
>>I downgraded kdelibs-data to 4:3.3.2-6 (testing version): kicker,
>>kmenu and kcontrol seem to work (I do not test after a reboot) but
>>the other problems are still there.
>>    
>>
>
>reboot should not change anything, though, restarting X should do the 
>trick.
>
>
>  
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#323747; Package kdelibs-data. Full text and rfc822 format available.

Acknowledgement sent to Shai Berger <shai@platonix.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 323747@bugs.debian.org (full text, mbox):

From: Shai Berger <shai@platonix.com>
To: 323747@bugs.debian.org
Subject: A Downgrading tip
Date: Mon, 22 Aug 2005 13:09:18 +0300
This might help others running into this problem:

I saw the problem, found the bug report,and tried to downgrade kdelibs-data, 
by running

# aptitude install kdelibs-data=4:3.3.2-6.1

Aptitude wanted to remove all of KDE. I stopped it, and only after a few more 
tries, I found a version which did what I wanted:

# aptitude install kdelibs-data=4:3.3.2-6.1 kdelibs=4:3.3.2-6.1 kde kde-core 
kde-amusements

(the above is of course one line)

One more note, to the maintainers: I, and I suppose many other KDE/Sid users,  
read neither debian-kde nor the 3000 message/month debian-user regularly. 
When something this important pops up, you might want to drop a note to the 
Debian Weekly News. I am now going to do just that. 

Thanks for all the hard work,
Shai.



Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Helen Faulkner <helen@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 323747-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 323747-close@bugs.debian.org
Subject: Bug#323747: fixed in kdelibs 4:3.4.2-2
Date: Wed, 24 Aug 2005 09:17:15 -0700
Source: kdelibs
Source-Version: 4:3.4.2-2

We believe that the bug you reported is fixed in the latest version of
kdelibs, which is due to be installed in the Debian FTP archive:

kdelibs-bin_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs-bin_3.4.2-2_i386.deb
kdelibs-data_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs-data_3.4.2-2_all.deb
kdelibs4-dev_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4-dev_3.4.2-2_i386.deb
kdelibs4-doc_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs4-doc_3.4.2-2_all.deb
kdelibs4c2-dbg_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2-dbg_3.4.2-2_i386.deb
kdelibs4c2_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2_3.4.2-2_i386.deb
kdelibs_3.4.2-2.diff.gz
  to pool/main/k/kdelibs/kdelibs_3.4.2-2.diff.gz
kdelibs_3.4.2-2.dsc
  to pool/main/k/kdelibs/kdelibs_3.4.2-2.dsc
kdelibs_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs_3.4.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdelibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Aug 2005 16:05:07 +0200
Source: kdelibs
Binary: kdelibs-bin kdelibs kdelibs4-doc kdelibs4c2 kdelibs4c2-dbg kdelibs-data kdelibs4-dev
Architecture: source i386 all
Version: 4:3.4.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kdelibs    - core libraries from the official KDE release
 kdelibs-bin - core binaries for all KDE applications
 kdelibs-data - core shared data for all KDE applications
 kdelibs4-dev - development files for the KDE core libraries
 kdelibs4-doc - developer documentation for the KDE core libraries
 kdelibs4c2 - core libraries for all KDE applications
 kdelibs4c2-dbg - debugging symbols for kdelibs4c2
Closes: 323747 323967 324147 324174
Changes: 
 kdelibs (4:3.4.2-2) unstable; urgency=low
 .
   +++ Changes by Christopher Martin and Adeodato Simó:
 .
   * Improve the fix for #311958 to make kdelibs binNMUable again. Instead of
     having kdelibs4c2 depend on kdelibs-data (= ${Source-Version}), split that
     in (>> 3.X.Y) plus (<< 3.X+1).
 .
     Since this fix can't be introduced in Sarge's kdelibs4, introduce (sigh) a
     conflicts in kdelibs-data against kdelibs4, which fortunately needs not be
     versioned because there is no 3.4.2 version of kdelibs4. This will prevent
     breakage due to partial upgrades and thus closes: #323747, #323967,
     #324147.
 .
   +++ Changes by Christopher Martin:
 .
   * Drop the versioning from kdelibs4-dev's too strict dependency on
     libfam-dev. This should allow libgamin-dev to be installed along with
     kdelibs4-dev once the fam transition is reversed, or libgamin0 stops
     providing libfam0c102. (Closes: #324174)
 .
   +++ Changes by Adeodato Simó:
 .
   * Patched some Makefiles.am to not use LIBADD for convenience libraries,
     since libtool can't prune those; specify the dependencies each time the
     library is used. This allows to reduce a bit more the number of Depends of
     the kdelibs4 package; in total, this version drops 11 dependencies with
     respect to the 3.3.x series.
Files: 
 980d1ad2c042a77666c55df9435bb0e0 1475 libs optional kdelibs_3.4.2-2.dsc
 020bdecf2f731a9fbac1393ba71430b9 368509 libs optional kdelibs_3.4.2-2.diff.gz
 3a2f41eee1973fcc208e5ec2e2d16325 29542 kde optional kdelibs_3.4.2-2_all.deb
 63ed6c7695d17fce57a8a35a657ddff7 8129188 libs optional kdelibs-data_3.4.2-2_all.deb
 045a40dd9c87f74ad0f6a566de9562fb 31824164 doc optional kdelibs4-doc_3.4.2-2_all.deb
 2a85922b6408dff904e80141f4cc613c 833880 libs optional kdelibs-bin_3.4.2-2_i386.deb
 8426cb1ad5a03fee9bfb0d0bfd8864e6 8214996 libs optional kdelibs4c2_3.4.2-2_i386.deb
 f9c2e65d55e0cca73fc61cc77a387dce 1343196 libdevel optional kdelibs4-dev_3.4.2-2_i386.deb
 dd787d1a4720897bb81064bab7f3234e 19703814 libdevel extra kdelibs4c2-dbg_3.4.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Adeodato Simó <asp16@alu.ua.es>

iEYEARECAAYFAkMMjW8ACgkQgyNlRdHEGILUAwCeKdTgsxFiycssIuyMF5QAtCMl
vuIAoK+wU46h8jHBVKtL6pxS6C5Lx56E
=pwzW
-----END PGP SIGNATURE-----




Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Helen Faulkner <helen@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 323967-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 323967-close@bugs.debian.org
Subject: Bug#323967: fixed in kdelibs 4:3.4.2-2
Date: Wed, 24 Aug 2005 09:17:15 -0700
Source: kdelibs
Source-Version: 4:3.4.2-2

We believe that the bug you reported is fixed in the latest version of
kdelibs, which is due to be installed in the Debian FTP archive:

kdelibs-bin_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs-bin_3.4.2-2_i386.deb
kdelibs-data_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs-data_3.4.2-2_all.deb
kdelibs4-dev_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4-dev_3.4.2-2_i386.deb
kdelibs4-doc_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs4-doc_3.4.2-2_all.deb
kdelibs4c2-dbg_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2-dbg_3.4.2-2_i386.deb
kdelibs4c2_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2_3.4.2-2_i386.deb
kdelibs_3.4.2-2.diff.gz
  to pool/main/k/kdelibs/kdelibs_3.4.2-2.diff.gz
kdelibs_3.4.2-2.dsc
  to pool/main/k/kdelibs/kdelibs_3.4.2-2.dsc
kdelibs_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs_3.4.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 323967@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdelibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Aug 2005 16:05:07 +0200
Source: kdelibs
Binary: kdelibs-bin kdelibs kdelibs4-doc kdelibs4c2 kdelibs4c2-dbg kdelibs-data kdelibs4-dev
Architecture: source i386 all
Version: 4:3.4.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kdelibs    - core libraries from the official KDE release
 kdelibs-bin - core binaries for all KDE applications
 kdelibs-data - core shared data for all KDE applications
 kdelibs4-dev - development files for the KDE core libraries
 kdelibs4-doc - developer documentation for the KDE core libraries
 kdelibs4c2 - core libraries for all KDE applications
 kdelibs4c2-dbg - debugging symbols for kdelibs4c2
Closes: 323747 323967 324147 324174
Changes: 
 kdelibs (4:3.4.2-2) unstable; urgency=low
 .
   +++ Changes by Christopher Martin and Adeodato Simó:
 .
   * Improve the fix for #311958 to make kdelibs binNMUable again. Instead of
     having kdelibs4c2 depend on kdelibs-data (= ${Source-Version}), split that
     in (>> 3.X.Y) plus (<< 3.X+1).
 .
     Since this fix can't be introduced in Sarge's kdelibs4, introduce (sigh) a
     conflicts in kdelibs-data against kdelibs4, which fortunately needs not be
     versioned because there is no 3.4.2 version of kdelibs4. This will prevent
     breakage due to partial upgrades and thus closes: #323747, #323967,
     #324147.
 .
   +++ Changes by Christopher Martin:
 .
   * Drop the versioning from kdelibs4-dev's too strict dependency on
     libfam-dev. This should allow libgamin-dev to be installed along with
     kdelibs4-dev once the fam transition is reversed, or libgamin0 stops
     providing libfam0c102. (Closes: #324174)
 .
   +++ Changes by Adeodato Simó:
 .
   * Patched some Makefiles.am to not use LIBADD for convenience libraries,
     since libtool can't prune those; specify the dependencies each time the
     library is used. This allows to reduce a bit more the number of Depends of
     the kdelibs4 package; in total, this version drops 11 dependencies with
     respect to the 3.3.x series.
Files: 
 980d1ad2c042a77666c55df9435bb0e0 1475 libs optional kdelibs_3.4.2-2.dsc
 020bdecf2f731a9fbac1393ba71430b9 368509 libs optional kdelibs_3.4.2-2.diff.gz
 3a2f41eee1973fcc208e5ec2e2d16325 29542 kde optional kdelibs_3.4.2-2_all.deb
 63ed6c7695d17fce57a8a35a657ddff7 8129188 libs optional kdelibs-data_3.4.2-2_all.deb
 045a40dd9c87f74ad0f6a566de9562fb 31824164 doc optional kdelibs4-doc_3.4.2-2_all.deb
 2a85922b6408dff904e80141f4cc613c 833880 libs optional kdelibs-bin_3.4.2-2_i386.deb
 8426cb1ad5a03fee9bfb0d0bfd8864e6 8214996 libs optional kdelibs4c2_3.4.2-2_i386.deb
 f9c2e65d55e0cca73fc61cc77a387dce 1343196 libdevel optional kdelibs4-dev_3.4.2-2_i386.deb
 dd787d1a4720897bb81064bab7f3234e 19703814 libdevel extra kdelibs4c2-dbg_3.4.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Adeodato Simó <asp16@alu.ua.es>

iEYEARECAAYFAkMMjW8ACgkQgyNlRdHEGILUAwCeKdTgsxFiycssIuyMF5QAtCMl
vuIAoK+wU46h8jHBVKtL6pxS6C5Lx56E
=pwzW
-----END PGP SIGNATURE-----




Reply sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Helen Faulkner <helen@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 324147-close@bugs.debian.org (full text, mbox):

From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 324147-close@bugs.debian.org
Subject: Bug#324147: fixed in kdelibs 4:3.4.2-2
Date: Wed, 24 Aug 2005 09:17:16 -0700
Source: kdelibs
Source-Version: 4:3.4.2-2

We believe that the bug you reported is fixed in the latest version of
kdelibs, which is due to be installed in the Debian FTP archive:

kdelibs-bin_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs-bin_3.4.2-2_i386.deb
kdelibs-data_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs-data_3.4.2-2_all.deb
kdelibs4-dev_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4-dev_3.4.2-2_i386.deb
kdelibs4-doc_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs4-doc_3.4.2-2_all.deb
kdelibs4c2-dbg_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2-dbg_3.4.2-2_i386.deb
kdelibs4c2_3.4.2-2_i386.deb
  to pool/main/k/kdelibs/kdelibs4c2_3.4.2-2_i386.deb
kdelibs_3.4.2-2.diff.gz
  to pool/main/k/kdelibs/kdelibs_3.4.2-2.diff.gz
kdelibs_3.4.2-2.dsc
  to pool/main/k/kdelibs/kdelibs_3.4.2-2.dsc
kdelibs_3.4.2-2_all.deb
  to pool/main/k/kdelibs/kdelibs_3.4.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 324147@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdelibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Aug 2005 16:05:07 +0200
Source: kdelibs
Binary: kdelibs-bin kdelibs kdelibs4-doc kdelibs4c2 kdelibs4c2-dbg kdelibs-data kdelibs4-dev
Architecture: source i386 all
Version: 4:3.4.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Description: 
 kdelibs    - core libraries from the official KDE release
 kdelibs-bin - core binaries for all KDE applications
 kdelibs-data - core shared data for all KDE applications
 kdelibs4-dev - development files for the KDE core libraries
 kdelibs4-doc - developer documentation for the KDE core libraries
 kdelibs4c2 - core libraries for all KDE applications
 kdelibs4c2-dbg - debugging symbols for kdelibs4c2
Closes: 323747 323967 324147 324174
Changes: 
 kdelibs (4:3.4.2-2) unstable; urgency=low
 .
   +++ Changes by Christopher Martin and Adeodato Simó:
 .
   * Improve the fix for #311958 to make kdelibs binNMUable again. Instead of
     having kdelibs4c2 depend on kdelibs-data (= ${Source-Version}), split that
     in (>> 3.X.Y) plus (<< 3.X+1).
 .
     Since this fix can't be introduced in Sarge's kdelibs4, introduce (sigh) a
     conflicts in kdelibs-data against kdelibs4, which fortunately needs not be
     versioned because there is no 3.4.2 version of kdelibs4. This will prevent
     breakage due to partial upgrades and thus closes: #323747, #323967,
     #324147.
 .
   +++ Changes by Christopher Martin:
 .
   * Drop the versioning from kdelibs4-dev's too strict dependency on
     libfam-dev. This should allow libgamin-dev to be installed along with
     kdelibs4-dev once the fam transition is reversed, or libgamin0 stops
     providing libfam0c102. (Closes: #324174)
 .
   +++ Changes by Adeodato Simó:
 .
   * Patched some Makefiles.am to not use LIBADD for convenience libraries,
     since libtool can't prune those; specify the dependencies each time the
     library is used. This allows to reduce a bit more the number of Depends of
     the kdelibs4 package; in total, this version drops 11 dependencies with
     respect to the 3.3.x series.
Files: 
 980d1ad2c042a77666c55df9435bb0e0 1475 libs optional kdelibs_3.4.2-2.dsc
 020bdecf2f731a9fbac1393ba71430b9 368509 libs optional kdelibs_3.4.2-2.diff.gz
 3a2f41eee1973fcc208e5ec2e2d16325 29542 kde optional kdelibs_3.4.2-2_all.deb
 63ed6c7695d17fce57a8a35a657ddff7 8129188 libs optional kdelibs-data_3.4.2-2_all.deb
 045a40dd9c87f74ad0f6a566de9562fb 31824164 doc optional kdelibs4-doc_3.4.2-2_all.deb
 2a85922b6408dff904e80141f4cc613c 833880 libs optional kdelibs-bin_3.4.2-2_i386.deb
 8426cb1ad5a03fee9bfb0d0bfd8864e6 8214996 libs optional kdelibs4c2_3.4.2-2_i386.deb
 f9c2e65d55e0cca73fc61cc77a387dce 1343196 libdevel optional kdelibs4-dev_3.4.2-2_i386.deb
 dd787d1a4720897bb81064bab7f3234e 19703814 libdevel extra kdelibs4c2-dbg_3.4.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Adeodato Simó <asp16@alu.ua.es>

iEYEARECAAYFAkMMjW8ACgkQgyNlRdHEGILUAwCeKdTgsxFiycssIuyMF5QAtCMl
vuIAoK+wU46h8jHBVKtL6pxS6C5Lx56E
=pwzW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:59:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:42:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.